## org.eclipse.emf.cdo.server.hibernate
Interface IHibernateStore

All Superinterfaces:
  IStore

    public interface IHibernateStore

extends IStore

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore
`IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

Method Summary
`org.hibernate.cfg.Configuration` `getHibernateConfiguration()`
`org.hibernate.SessionFactory` `getHibernateSessionFactory()`

Methods inherited from interface org.eclipse.emf.cdo.server.IStore

`getCDOIDLibraryDescriptor, getCDOIDLibraryProvider, getCDOIDObjectFactory, getCreationTime, getIndicatingCommitDistributor, getNextMetaIDRange, getReader, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstTime, setRepository, setRevisionParallelism, setRevisionTemporality`

Method Detail

### getHibernateConfiguration

    org.hibernate.cfg.Configuration getHibernateConfiguration()

### getHibernateSessionFactory

    org.hibernate.SessionFactory getHibernateSessionFactory()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.